Help items

File Menu | Edit Menu | Align Menu | Props Menu | Sites Menu | Species Menu
Footers Menu | Search | Goto | Trees Menu | Alignment panel | Tree windows
Dot plot | Mase file format | Program arguments | Sequence coloring | Miscellaneous options | Customization

About seaview

Program seaview was published in:
Gouy, M. Guindon, S. & Gascuel., O. (2010) SeaView version 4 : a multiplatform graphical user interface for sequence alignment and phylogenetic tree building. Molecular Biology and Evolution 27(2):221-224.
Galtier, N., Gouy, M. & Gautier, C. (1996) SEAVIEW and PHYLO_WIN: two graphic tools for sequence alignment and molecular phylogeny. Comput. Appl. Biosci., 12:543-548.

Version 5.1

Binaries and full source code available from http://doua.prabi.fr/software/seaview

© 1996-2023 Manolo Gouy
Laboratoire de Biométrie et Biologie Evolutive
CNRS / Université de Lyon

Licensed under the GNU General Public Licence.

Seaview drives the Muscle, Clustal Omega, Gblocks, PhyML and Treerecs programs and uses code from the PHYLIP package for parsimony. Please quote:

- Edgar R.C. (2004) MUSCLE: multiple sequence alignment with high accuracy and high throughput. Nucleic Acids Res. 32(5):1792-1797.
- Sievers F., Wilm A., Dineen D., Gibson T.J., Karplus K., Li W., Lopez R., McWilliam H., Remmert M., Söding J;, Thompson J.D. & Higgins D.G. (2011) Fast, scalable generation of high-quality protein multiple sequence alignments using Clustal Omega. Molecular Systems Biology 7:539.
- Castresana J. (2000) Selection of conserved blocks from multiple alignments for their use in phylogenetic analysis. Molecular Biology and Evolution 17(4):540-552.
- Guindon S., Dufayard J.F., Lefort V., Anisimova M., Hordijk W. & Gascuel O. (2010) New Algorithms and Methods to Estimate Maximum-Likelihood Phylogenies: Assessing the Performance of PhyML 3.0. Systematic Biology 59(3):307-321.
- Felsenstein J. (2013) PHYLIP version 3.696.
- Lemoine F., Domelevo Entfellner J.-B., Wilkinson E., Correia D., Dávila Felipe M., De Oliveira T. & Gascuel O. (2018) Renewing Felsenstein’s phylogenetic bootstrap in the era of big data. Nature 556:452-456.
- Comte N., Morel B., Hasić D., Guéguen L., Boussau B., Daubin V., Penel S., Scornavacca C., Gouy M., Stamatakis A., Tannier E. & Parsons D.P. (2020) Treerecs: an integrated phylogenetic tool, from sequences to reconciliations. Bioinformatics 36(18):4822–4824.

Seaview uses the FLTK project for its user interface.

Some seaview versions use the PDFlib Lite library for pdf output under the "Open Source Developer Exemption" of the PDFlib Lite License Agreement.

Alignment panel

Mouse Use:

- Click on a site to position cursor (current cursor position -- sequence number, positions in alignment and in sequence -- appears at panel top center)
- Click or drag mouse on several sequence names to select them (names will appear in black background). Alignment operations (gap insertions/deletions) will operate on all selected sequences simultaneously.
- Click with middle mouse button or Ctrl-Click somewhere in sequence names to move selected sequences to another place in alignment.
- Click with right mouse button or Shift-Click to deactivate the current selection.
- Cmd-Click(Mac), Alt-Click(PC), or Meta-Click (unix) on sequence name to select from last selected sequence to here.

Active keys:

- The 4 keyboard arrows move the cursor. Page up/down keys move it one pageful.
- > < move the view by 50 sites to right and left (other keys can be used)
- ] [ move the view by 5 sites to right and left (other keys can be used) see Miscellaneous options for how to use other keys for same purpose
- - or <space> insert a gap in the cursor sequence and members of its group if any
- <delete> or <backspace> delete a gap at left of cursor
- + inserts a gap in all sequences but that under the cursor and members of its group if any
- _ ("underscore") deletes a gap in all sequences but that under the cursor and members of its group if any
- 1234567890 (digit keys) allow to compose a number (appearing under mult=number at bottom left of panel) used as a multiplier to an operation to follow (e.g., keys 4, 5, and - in sequence will insert 45 gaps)
- ctrl/cmd+S (according to platform) saves the alignment in the current filename using its current format.

Mouse use on the site line (when there is one, white line at bottom):

- Click mouse to select/unselect a site.
- Drag with the mouse button an extremity of a block of sites to extend or reduce it.
- Click with the middle mouse button or Ctrl-Click to extend the block of sites at left.
- Click with the right mouse button or Shift-Click on a block of sites to delete it.

File Menu

Open: opens a sequence alignment file in any of the supported formats, or a Newick-formatted tree file.
Open Mase, Open Phylip, Open Clustal, Open MSF, Open Fasta, Open NEXUS: to load an alignment in one of these formats.
Formats Phylip, Clustal and Fasta use _ instead of space in names. Only the interleaved version of the Phylip format is supported. Mase and Nexus formats have the useful feature of allowing extra data beyond sequences and names (comments, accession numbers are really useful!). They can also store trees, site sets [see Sites Menu], species sets, footers, genetic code information.

Import from DBs: to import one or several sequences from various databases (EMBL, GenBank, SwissProt/UniProt) into the alignment window. Importation requires an internet connection that allows outbound access to port # 5558. See Troubleshooting Importation from Databases if you experience problems with this function. Imported sequences will be named in the alignment window either by the name of their ID or LOCUS record or by their species. Sequences can be identified by two means:
1. By name, accession number or keyword. Protein IDs, without their extension (e.g., CAA06608 from /protein_id="CAA06608.1"), are processed as keywords attached to sequences, so can also be used. Because imported sequences are named with information taken from their ID/LOCUS record, the protein ID won't be used to name the sequence.
2. By a local text file of names or accession nos (one per line, strict text file, e.g., not a .doc or .odt file).
In case 1. and for nucleotide databases, it is also possible to import sequence fragments corresponding to a specified feature key (e.g., CDS, rRNA, tRNA) and, optionally, to require a given string to be present in the feature's annotations. If no matching string is specified, only the first matching feature key is imported. CDSs are imported with their correct genetic code and reading frame. Access to a series of other databases is also possible.

Save: when active, saves the alignment in the current file (which name appears as window title). The shortcut for this operation is ctrl-S (cmd-S on Mac).

Save as...: to save the alignment under a name and a format to be chosen in the file selector appearing next. This item is unavailable when a nucleotide alignment is translated to proteins. Use "Save prot alignmt" below instead.

Save selection: only active when some sequences are selected or when a site line is displayed; allows to save in a file selected sites, or selected sequences, or selected sites of selected sequences.

Save prot alignmt: only active when a nucleotide alignment is translated to proteins; allows to save resulting protein sequences in any format.

Save bootstrap replicates: allows to store in a PHYLIP-formatted output file bootstrap replicates of the sequences of the alignment window. This command operates on selected sequences, and on selected sites if a sequence or site selection is currently active. It operates with protein sequences when a nucleotide alignment is translated to proteins. It asks for the desired output filename and number of bootstrap replicates. The "phylip names width" item of the "Props/Customize" dialog window allows to control the maximum name length used in the output file.

Prepare PDF/PostScript and PDF/PostScript options: Writes the alignment as a PDF/PostScript file with optional choices set through the "PDF/PostScript options..." menu item (or the save dialog on Mac OS):

- font size: sets the fontsize (font is Courier)
- block size: alignment lines may be divided in blocks (e.g., of size 10 for DNA/RNA sequences or 3 for protein coding sequences) separated by one space to ease alignment reading.
- paper size: two paper formats can be used: A4 or LETTER
- landscape: select to use the Landscape page layout
- color/B&W/Text File: choose between colored alignment, or one with all black letters, or to write the alignment as a text-only file.
- variable sites only: available only in reference mode (see Props menu), allows to output only variable sites of the alignment and their positions.

Concatenate: To add one alignment (source) to the end of another (target). Can be done "by name" (seqs with same name are concatenated) or "by rank" (seqs with same rank in alignments are concatenated). Option "add gaps" replaces names absent in either alignment by gap-only sequences ("by name" only).

New window: Opens a new, empty alignment window.

Close window: Closes the alignment window.

Quit: guess what?

Edit Menu

Copy selected seqs: only active when some sequences are selected; copies in clipboard these sequences, or only their selected sites if a site line is displayed.
Paste alignment data: To paste sequence data from the clipboard to the bottom of the current alignment window (inactive in "View as protein" mode). The clipboard can either contain sequences that were previously copied in seaview using "Copy selected seqs", or sequence data in Fasta format copied from anywhere. In the latter case, the user is asked for confirmation before adding sequences to the alignment.
Select all: Selects all sequences from the alignment.
Rename sequence: To rename the currently selected (= name in black background) sequence.
Edit comments: To see or change comments of the currently selected sequence (Comments can only be saved in mase/NEXUS formats).
Edit sequence: To edit the selected sequence, typically by pasting external data, or by opening two edit sequence windows and transferring sequence data between them. The edit window is limited to sequences of length < 32000.
Delete sequence(s): Deletes all selected sequences from the alignment.
Create sequence: Allows to create a new, empty sequence in the alignment; set "Allow seq. edition" from Props menu ON to be able to type the sequence in.
Load sequence: Allows to load a new sequence in the alignment. The sequence can be typed in or pasted from a selection made in another window. The "Sequence loading window" is limited to sequences of length < 32000.
Duplicate sequence: Duplicates the currently selected sequence with prefix D_ in its name.
Complement sequence: Creates a new sequence equal to the complementary strand of the currently selected sequence with prefix C_ in its name.
Reverse sequence: Creates a new sequence by reading 3' -> 5' the currently selected sequence and named with prefix R_
Exchange Us and Ts: Exchange bases Us and Ts in all currently selected sequences.
Dot plot: Performs a dot plot analysis of the two selected sequences.
Consensus sequence: Computes the consensus of all currently selected sequences. The consensus sequence is added to the alignment with the name "Consensus##" below all selected sequences. At any site, the consensus residue is the most frequent one if its frequency is above a threshold value. Below threshold, N or X is used. See Consensus options of menu Props for more details.
Del gap-only sites: Deletes all gap-only sites from the alignment.
Set genetic code: Allows to specify the genetic code used to translate to protein the selected sequence(s). Active only with nucleotide alignments. Genetic codes are saved if the mase, NEXUS, or FASTA file formats are used.

Align Menu

Align all
Align selected sequences: Runs the chosen alignment program on all or on selected sequences. Alignment program is chosen with Alignment options of menu Align. With MSWindows and Unix, the chosen alignment program is searched in the directory of the seaview program and in directories of your PATH.
Align selected sites: Runs the chosen alignment program on the block of selected sites and the set of selected sequences. A window will ask for choosing the reference sequence: gaps present before alignment in the chosen sequence will be preserved in the new alignment.
Profile alignment: Align selected sequences against a profile, that is, a group of pre-aligned sequences.
Possible operations for making a profile alignment:

1. select members of the profile group;
2. do 'Create group' of menu Species;
3. select sequences you want to align against the profile group;
4. do 'Profile alignment' of menu Align;
5. choose the profile group in the dialog menu;
6. choose alignment algorithm;
7. if using clustalo, choose between "each sequence to profile" and "profile to profile" (with "profile to profile", selected sequences are expected to be pre-aligned to each other.
8. Uncheck "Propagate gaps to sites" if you don't want gaps created in the profile group by the profile alignment to be propagated to all your site selections (menu "Sites").

De-align selection: Remove all gaps from selected sequences.
Alignment options:

- clustalo, muscle, ...: Allows to choose the desired alignment method.
- Edit options: Without options, the algorithm's default parameter settings, adequate for many problems, are used. This item allows to define custom alignment parameter settings by listing a series of options (e.g., -verbose -maxiters=5 for muscle) that will be transmitted to the alignment algorithm.
  - clustalo options are fully described in README.
  - Muscle options are fully described in Muscle command line reference.
  Options are active unless you switch them off by unchecking the check box. Thus a set of options can be memorized and turned on and off.
- Add external method: Interfaces seaview with an external multiple sequence alignment method. Any external alignment program able to read a fasta file and output a fasta file and that can be run by a 'name + arguments' command line is usable. Select the external program from your computer or enter its name. Under MSWindows and Unix, the name is searched in seaview's directory and in all PATH directories. Under Mac OS, the name is searched in all PATH directories, and in directory <seaview-bundle>/Contents/Resources. Enter its arguments replacing the method's input and output filenames by `%f.pir` and `%f.out`, respectively. Under MSWindows, it's recommended to bracket filenames by double quotes (e.g., `"%f.out"`). The yellow tip message that appears when the mouse remains on the "Arguments" field gives three examples of external program interfacing. Standard output redirection to a file with `>` is possible.
- Delete method: To delete currently selected alignment method. clustalo and muscle can't be deleted.

Props Menu

Fontsize: 8, 10, ..., 36: Sets the font size used to display sequences.
View as proteins: When ON, DNA sequences are displayed as translated to protein sequences. This allows to align them, and to go back to the DNA level by unselecting this item. Items Save/Save as of menu File and sequence edition are impossible when ON.
Colors:

- DNA/RNA colors: Forces sequences to be colored as DNA/RNA in case they were erroneously recognized as protein data.
- Protein colors: Forces sequences to be colored as proteins in case they were erroneously recognized as DNA/RNA data.
- Alt. colors: Uses alternate coloring rules defined for protein sequences [see Sequence coloring help topic].
- Codon colors: Each codon gets colored according to its corresponding aminoacid.
- Inverted colors: Display residues as black letters on colored background instead of as colored letters on grey background.

Allow seq. editing: When ON, residues can be deleted/inserted. When OFF (normally), only gaps can be deleted/inserted.
by Reference: To display the alignment by reference to a particular sequence: residues identical to that of the ref. seq. are displayed as dots. Possible only when one sequence, the reference, is selected. Alignment edition is impossible while in the reference mode. When used, item "Prepare pdf" of menu "File" produces an output by reference. Combination ctrl/cmd+R is a shortcut for calling/exiting this mode.
DNA keys: Allows to use keys "hjkl" to enter DNA sequences. "Allow seq. edition" should be ON for this item to be usable. Choose in the submenu what bases will be mapped to these keys: hjkl => GATC, hjkl => TCGA, hjkl => ACGT. Also, the space bar will be mapped to base N.
Consensus options: Allows to set the threshold fraction of identical residues needed to define a residue when building a consensus sequence (the default value is 60 %). Sites where this fraction is not reached are filled with N or X (or, for DNA, with nucleotide ambiguity symbols if "Use IUPAC symbols" is on). If "allow gaps" is off, gaps are ignored to compute which residue will appear in the consensus; this option in effect treats gaps as missing information. If "allow gaps" is on, gaps are treated as another character state to compute consensus.

IUPAC nucleotide ambiguity symbols
Symbol | M | R | W | S | Y | K | V | H | D | B
Nucleotides | AC | AG | ATU | GC | CTU | GTU | ACG | ACTU | AGTU | CGTU

Allow lowercase: If set, lowercase residues will be apparent. If not set, lowercase residues in sequence files display as uppercase.
Customize: To change, possibly permanently, various display settings. See Miscellaneous options and Sequence coloring help items. Apply: applies changes in current program session. Set changes permanent: applies changes in current and future program sessions. Close: ignores changes.
Statistics: Displays base or amino acid sequence compositions, and transition and transversion counts. These statistics apply to all sequences or to selected sequences only. When two nucleotide sequences are selected, the frequency of all pairs of homologous bases is also computed. Statistics can also be saved to a user-chosen text file.

Sites Menu

Site sets allow to specify parts of a multiple alignment to be retained for further analyses (e.g., those parts of the alignment taken as reliably aligned). Retained sites are depicted as series of Xs on a special line at bottom of the alignment panel. Mouse clicks and drags on this line allow to construct/alter the set (see Mouse use on the site line).

Several sets of sites can be created and stored with the alignment if the Mase or NEXUS formats of alignment files are used. Each set has a name chosen by the user. One set of sites at most can be displayed at any time through this menu.

Item Save selection of menu "File" allows to save in an alignment file only those sites of the alignment pertaining to the currently displayed site set.

Create set: Several kinds of sets of sites are possible:

- custom site set: should be named by the user. It is initially defined to contain all alignment sites, and can be manually modified by mouse operations on the site line at the bottom of the alignment.
- Gblocks: the Gblocks program is run to compute a set of sites suitable for phylogenetic analysis. A dialog window presents several optional choices to control the stringency level of site selection. Further information can be found in the Gblocks online documentation. Some seaview versions don't include the Gblocks program. It can be downloaded from its web site.
- codon position masks (not available for protein alignments).
- variable sites.

Non-custom site sets are better used once alignment operations are completed.
Duplicate set: duplicates the current set of sites under a new name
Hide set: hides (but remembers) the current set of sites
Delete set: removes the currently displayed set of sites from list of known sets
name: shows the site line of name name. It can have been read in together with the alignment data, or previously created by "Create set".

Species Menu

Species sets can be created and stored with the alignment if the Mase or NEXUS formats of alignment files are used.

To select one or several species, click or drag on their names; they will appear in black background.

To memorize the current set of selected species, choose "Create set" from this menu. The program will ask for a name for this set.

Delete set: deletes (just from memory) the current set of species.
name: displays with black background the set of species memorized under that name.

Footers Menu

Comment lines can be created and displayed at bottom of the screen. These lines can contain any text and the program will maintain the vertical alignment between this text and sequences. This text can be saved using the mase or NEXUS file formats only.

To edit this text, click on the line name, position the cursor, and type text.
Click again on the line name to stop editing this text.

Show / Hide footers: To show / hide all footer lines
Create footer: To create a new footer line
Delete footer: To delete the currently selected footer line

Search

Type a string in box at right and strike <return> key or push button to position the cursor in the next occurence of this string from its current place.

Push button to position the cursor at next occurence of the current search string.

Sequence gaps are ignored by the search procedure.

Goto

Moves the cursor to desired position or sequence:

- position: type a number in box at right and hit <return> key or push button to position the cursor at that position of the alignment.
- sequence: type a (fragment of) sequence name in box at right and hit <return> key or push button to position the cursor in that sequence. Case is not significant.

Trees Menu

This menu allows to compute, draw, save, and import DNA or protein phylogenetic trees.
Protein-coding DNA sequences displayed as protein sequences (item "View as proteins" of menu Props) are treated as protein sequences.
All tree computations apply to selected sequences (or all if none) and selected sites (or complete alignment if none).
All trees, sequence, and site selections can be saved together with the alignment data in either the mase or Nexus formats.

Parsimony:
Computes parsimony trees using PHYLIP's v3.696 dnapars or protpars algorithms and returns the consensus of all most parsimonious trees found.

- The DNA-level algorithm (dnapars) computes most parsimonious trees with branch lengths equal to the average of the number of reconstructed changes of state over all sites and over all possible most parsimonious placements of the changes of state among branches. A branch exists only if some site has a most parsimonious reconstruction that would involve change in that branch. Dnapars can thus return a multifurcated tree even if a single most parsimonious tree is found. When several most parsimonious trees are found, their consensus tree is computed, and its branch lengths are recomputed, thus they can differ from their values in any most parsimonious tree.
- The protein-level algorithm (protpars) returns the consensus of all most parsimonious trees found without branch lengths.

Randomize seq. order: to repeat n times the search for shortest trees with randomized sequence order.
Ignore all gap sites: if on, all gap-containing sites are excluded from analysis.
Gaps as unknown states: if on, gap-containing sites are coded as unknown states so don't introduce parsimony steps; if off, they are treated as an additional character state. The interface forbids the meaningless configuration that would ignore gaps and treat them as unknown states.
More/Less thorough tree search/Rearrange on best tree: (DNA only) these 3 options control, in decreasing order, how, and how much, rearrangement is done on the tied trees to find shorter trees.

- More thorough: rearrange on all parts of all currently found equally best trees to find better ones.
- Less thorough: collapse all branches that have no evidence that there is any change on that branch before attempting rearrangements.
- Rearrange on best tree: only the first of the tied best trees is used for rearrangement.

It may be necessary to select the second or third option when the data set contains many (near-)identical sequences.
Equally best trees retained (DNA only): maximum number of equally best trees retained in search.
% level for consensus tree building: Parsimony often identifies several most parsimonious trees, and seaview computes their consensus and displays it. The default 100% consensus level corresponds to the strict consensus rule. The 50% level corresponds to the majority rule consensus. Intermediate values v include in the consensus tree all species groups present in at least a fraction v of the most parsimonious trees.
Bootstrap: performs bootstrap evaluation of clade statistical support (can be interrupted). Furthermore, if "Show bootstrap trees" is checked, individual bootstrap trees will appear in a second tree window, in addition to the main parsimony tree window. Each bootstrap tree has a weight that appears at the top left of the tree window when this tree is displayed. The weights of all equally parsimonious trees add up to 1 for each bootstrap replicate.
User tree: computes the number of steps of a user-given tree taken from those in the "Trees" menu. Such trees can have been previously computed or imported from an external source in Newick format.

Distance methods:
Computes NJ or BioNJ trees on a variety of pairwise phylogenetic distances.
NJ/BioNJ: to select the tree-building algorithm
Save to file: does not compute any tree but saves sequence pairwise distances to a local file.
Distance: select one among a variety of evolutionary distances: J-C: Jukes & Cantor (1969); K2P: Kimura (1980) JME 16:111; HKY: Rzhetsky & Nei (1995) MBE 12:131; LogDet: Lake (1994) PNAS 91:1455; Lockhart et al. (1994) MBE 11:605; Ka/Ks: Li (1993) JME 36:96.
ignore all gap sites: if on, all gap-containing sites are excluded from analysis; if off, not all sequence pairs use the same set of sites for computation of distances.
Bootstrap: performs bootstrap evaluation of clade statistical support (can be interrupted). Bootstrap supports can be optionally computed with the Transfer Bootstrap Expectation method. Furthermore, if "Show bootstrap trees" is checked, individual bootstrap trees will appear in a second tree window, in addition to the main distance tree window.
User tree: computes least squares branch lengths for selected user tree topology.

PhyML:
Computes trees using PhyML v3.0 as an external program.
If needed, PhyML can be downloaded from its web site
Under Unix, file $HOME/.seaviewrc may contain the name of the PhyML executable used by seaview.
Please quote: Guindon S., Dufayard J.F., Lefort V., Anisimova M., Hordijk W., Gascuel O. (2010) New Algorithms and Methods to Estimate Maximum-Likelihood Phylogenies: Assessing the Performance of PhyML 3.0. Systematic Biology 59(3):307-321.
Model: select one among a variety of evolutionary models.
Branch support: can be omitted (None) or estimated either by the approximate likelihood ratio test approach (aLRT) or by bootstrap. The bootstrap branch support can be computed by two methods:

- The 'standard' method (Felsenstein's) counts the fraction of replicates containing each internal branch of the reference tree.
- The 'Transfer Bootstrap Expectation' method (TBE) proposed by Lemoine et al.: Renewing Felsenstein’s phylogenetic bootstrap in the era of big data.

If "Transfer Bootstrap Expectation method" is checked, both methods for computing bootstrap supports are used and displayed in two tree windows. With both bootstrap methods, if "Show bootstrap trees" is checked, individual bootstrap trees will appear in yet another tree window.
Nucleotide/Amino acid equilibrium frequencies: Residue frequencies can be estimated by counting their frequencies in the sequence alignment ("Empirical" option). Alternatively, they can be optimized by maximum likelihood ("Optimized" option for DNA data) or fixed to a set of model-given values ("Model-given" option for protein data).
Ts/Tv ratio: (applies to some nucleotide models only) optimize or fix a priori this ratio.
Invariable sites: ignore (None), optimize, or set to an a priori value (Fixed) the fraction of invariable sites.
Across site rate variation: ignore (None), optimize, or set to an a priori value (Fixed) the alpha parameter of the gamma distribution of rates across sites. If not ignored, the # of rate categories must also be set.
Tree searching operations: NNI (nearest-neighbor interchange), SPR (subtree pruning and regrafting) and 'best of NNI & SPR' are options improving the search for the most likely tree but requiring increasing computation time.
Starting tree: controls the tree used to start tree-space search; can be BioNJ, a user-given tree from the trees menu, or a number of random trees (possible only with SPR). Turn off "Optimize tree topology" to compute the likelihood of a user-given tree.
Quiet: If ON, no indication of the computation progression will appear. Turning this ON also ensures that runs requiring large memory don't block with the "WARNING: this analysis requires at least ## Mo of memory space." message.

Import tree: to import an external, Newick-formatted tree.

New tree window: opens a new, empty tree window.

Tree windows
Plots/saves/prints/copies phylogenetic trees that can be rooted or unrooted, with or without branch lengths, binary or multibranched, with or without branch support values.
A tree window can contain several trees. In that case, left and right arrows at top right of the window allow to circulate around them. Multiple-tree windows can occur after these operations:

- open a Newick file containing several trees consecutively;
- paste to an empty tree window a clipboard containing several Newick strings consecutively;
- a parsimony analysis yielded several equally parsimonious trees: the tree window contains first their consensus, and then each single equally parsimonious tree.

File menu

Save to Trees menu: to save in menu Trees of alignment window a previously computed tree.
Remove from Trees menu: removes a tree from menu Trees of alignment window.
Save rooted (unrooted) (sub)tree: saves displayed tree or subtree to a local file as rooted or unrooted form.
Save all trees: writes all trees attached to the tree window to a single file (active only when several trees are attached to the tree window and arrows at window top-right allow to circulate around them).
Save patristic distances: writes in a file the patristic distances for all pairs of tree leaves (= sum of the lengths of branches connecting the two leaves). Computes also the tree length equal to the sum of all tree branch lengths. Computations are restricted to the subtree if the tree display is currently limited to a subtree. For trees without branch lengths, the computation is run as if all branch lengths were equal to 1, except the two branches that stem from the root of length taken as equal to 0.5.
Print: prints displayed tree (see also 'Page count' below).
Save as PDF/PostScript: saves displayed tree to PDF (or PostScript) local file (see Page Count).
A4 - Letter: controls the page format for PDF/PostScript operations.
Landscape: controls the page layout for PDF/PostScript operations.
Page count>#: controls the # of pages used for print/PDF/PostScript operations.
Save as SVG: saves displayed (sub)tree to a scalable vector graphics (SVG) local file suitable to be edited using appropriate programs (e.g., Inkscape).
Reorder following tree: reorders sequences of alignment window as in displayed tree.
Select in alignment: selects in alignment window all members of subtree (active when only a subtree is plotted).
Open tree or alignment: opens a new tree (Newick format; the file can contain several trees consecutively) or alignment file (any format).
New window: opens a new, empty tree window where a Newick-formatted tree can be pasted from clipboard.
Close window: closes the displayed tree that gets lost unless it had been saved to Trees menu.

Edit menu

Copy: (Mac OS and MSWindows only) copies tree plot to clipboard for pasting to external programs.
Paste tree: (only if window is empty) to paste a Newick-formatted tree contained in the clipboard. The clipboard may contain several trees.
Find: finds sequence names in tree that contain a user-given string, and red-colors them in tree display (case insensitive).
Again: repeats 'Find' operation with same matching rules.
Edit tree header: to change the tree's brief descriptive header line.
Branch support threshold: only branch support values above given threshold become displayed.
Root at tree center: roots the tree in the middle of the largest path between two leaves (when branch lengths exist).
Get or Set window size: to control the size of the current tree window.
Edit tree shape: to alter tree shape by moving or deleting sequence groups. A new window displays the tree without branch lengths. Clicking on a square selects a sequence group that appears in red. It can be moved to another branch of tree by clicking on another square, or deleted ("Delete group" button). "Select group" button allows to select another group for further move or delete operations. Complete edits by pressing "End edit" button, and, possibly, "File/Save to Trees menu".
Default name trimming rule: allows to set and change the rule used to trim long sequence names when displaying trees. Use an empty rule not to trim sequence names. See Trim rule for details about how trimming rules work.

Reconcile menu:: See Treerecs for details about how gene/species tree reconciliation works.

Font menu: to control font, style and size of all text in tree display.

Br lengths: toggles display of branch length values next to each branch (very small values are not displayed).
Br support: toggles display of support values (typically, bootstrap, posterior probabilities, or aLRT) next to branches.

squared/circular/cladogram: toggles display between squared plot convenient for rooted trees, circular plot convenient for unrooted trees, and cladogram which displays trees with all branch lengths a multiple of a unit length and all leaves aligned at right. Cladogram is not available for branch length-free trees because it is equivalent to the squared display for them.

counter:Appears when the loaded treefile contains several trees (e.g., after a bootstrap analysis in which the "Show bootstrap trees" option was selected), and allows to navigate around those trees.

Trim rule: Allows to enter a rule for trimming long sequence names. Click on the white area. A dialog window allows to enter the desired sequence name trimming rule.
Trim by content: enter one or more characters; each sequence name will be trimmed after all these characters have been found in the name.
Trim by length: enter a number; each sequence name longer than this number will by cut.
Examples:

- rule '~' trims names at their first ~
- rule '~@' trims names at the first @ located after a ~
- rule '25' trims names longer than 25 characters

Use an empty trimming rule to go back to full sequence names.

The default trimming rule can be set with the Edit menu.

Full: normal, full tree display.
Swap: to swap branches around a node. Click on relevant square that appears.
Re-root: to set tree outgroup. Click on relevant square that appears.
Select: to select/unselect alignment sequences from a tree. Click in the tree on a square at a sequence name or at a node to select/unselect it in the corresponding alignment window. Conversely, click on sequence names in the alignment window to select/unselect them in the tree. Selected sequences appear with a red square in the tree, and with their name on black background in the alignment.
Subtree: to limit display to a subtree. Click on relevant square that appears.
Subtree up: when a subtree is being displayed, adds one more node towards tree root to display.

Zoom: vertical zoom for tree display; one or two scrollers appear. The tree can be moved by the scrollers, the mouse wheel, or by clicking on and dragging the plot.

Treerecs:
Use the Treerecs method to rearrange, root and/or correct a gene tree according to a species tree.
If needed, Treerecs sources can be downloaded.
Species tree: select the full-binary species tree associated with your genes.
Branch support threshold: change to contract/remove branches with a support lower than this value. With -1 there is no branch contraction.
Duplication cost: define the cost associated with a gene duplication event
Loss cost: define the cost associated with a gene loss event
Find best root: check the box to ask Treerecs to root or reroot the tree
Use gene names: associate gene with species according to gene names (which contains the associated species name). There is two methods: the Auto method and the manual. The manual needs to give a character as a separator and a position to define species name location in gene.
Use file: use Smap file to associate genes with species.
Output tree: check Full reconciliation to view the tree with all duplication and loss events found by Treerecs.

N.B. On the macOS platform, tree reconciliation requires macOS version 10.9 or higher.

Dot Plot
Performs a "dot plot" analysis of two sequences

Enter desired values for the window size and # of matches/window, and click on button "Compute", the dot plot will appear.

Click in the dot plot, the corresponding sequence regions appear in the alignment panel above the dot plot. Use "Magnify" to take a close look.
Click on arrows at left to move the hit point by one residue in either of six directions.
Move the slider below the alignment panel to control the number of displayedresidues.

Fit to window, Reduce, Magnify: perform zoom in and out operations
Write PDF/ps: saves the dot plot to a PDF or PostScript file.
Close: closes the dot plot window

To perform a dot plot-guided alignment
Click on a diagonal representing two sequence parts to be aligned, then click on button "align". Repeat this for each sequence parts you want to be aligned to each other.
To transfer into the multiple alignment the result of these operations, click on button "Record alignment".
Most often, one of the two compared sequences is already aligned to other sequences of the multiple alignment, while the other one is not. Choose which of the two sequences is already aligned by clicking on the arrow next to "Ref. sequence".

Mase file format
Mase files follow the following format:

Zero or more header lines each beginning with ;;
Next, for each sequence in the alignment:
One or more comment lines each beginning with ;
Sequence name alone on a line (may be long and may contain spaces)
Sequence data in free form, possibly with numbers and spaces ignored while reading the file. Dashes denote gaps.

Header lines may contain any text and also contain descriptions of trees, site sets and species groups when such data have been defined.

Trees are as in this example:

    ;;$ BioNJ tree
    ;;[BioNJ 658 sites J-C](((boli_haplo_03:0.00146,boli_haplo_06:0.00159)
    ;;:0.00159,boli_haplo_05:0.00146):0.02886,boli_haplo_01:0.03142);

Site sets are written as in this example:

    ;;# of segments=10  mychoice
    ;; 14,74 221,256 416,449 990,1148 1363,1384 1474,1483 1556,1668
    ;; 2034,2062 2114,2139 2756,2859

where "mychoice" is the name of the set of sites and where the series of pairs of numbers lists the endpoints of successive block of sites.

Species groups are written as in this example:

    ;;@ of species = 4 distant outgroup
    ;; 2, 3, 4, 5

where "distant outgroup" is the name of the species group and where the series of numbers lists the ranks of sequences members of the species group.

Program arguments
Seaview can be run by using a command line:
`seaview` [options] [alignment-or-tree-file]
where alignment-or-tree-file is an optional sequence alignment or tree file to be read (always the last argument) and options are as in the following table:

`-h` | display all program options and exit
`-fast` | sequences will be displayed faster but less smoothly
`-fontsize` n | font size used for the tree or alignment windows
Options for non-interactive usage driven by command-line arguments Use exactly one of these options to get a non-interactive seaview run. Add any of the sub-options described below.
`-convert` | convert an input alignment to another format (no window creation)
`-concatenate` | concatenate alignment(s) to the end of an input alignment (no window creation)
`-align` | align an input sequence file (no window creation)
`-build_tree` | compute a phylogenetic tree from an input alignment file (no window creation)
`-printout` | draw a multiple sequence alignment to PDF/SVG (no window creation)
`-reroot` | modify the rooting of, or process otherwise, an input tree (no window creation)
`-plotonly` | draw an input tree in a pdf or svg file (no window creation)
Sub-options for `-convert`
Use '-' as last argument to read alignment from standard input
`-output_format` fmt | format of the converted alignment file (`mase, phylip, clustal, msf, fasta`, or `nexus`). The format of the input file is the default.
`-o` fname | use fname as name of the converted alignment (default is built from input filename)
`-o` - | write the output alignment to standard output
`-translate` | translate input sequences to protein before outputting them (don't use the `-sites` option) Add `/transl_table=`# (where # is a genetic code number) to sequence comments to use variant genetic codes. If the input file is in FASTA format, put this after each sequence name.
`-no_terminal_stop` | translate terminal stop codons as a gap (with `-translate` option)
`-del_gap_only_sites` | remove all gap-only sites from alignment (don't use the `-sites` option)
`-def_species_group` group_name,group_members | create a species group of given name and members (species group members are expressed with their ranks as in this example: 3-8,12,19)
`-def_site_selection` name,endpoints | create a selection of sites of given name and endpoints (site selection endpoints are expressed as in this example: 10-200,305,310-342)

`-gblocks`

create under the name 'Gblocks' a set of blocks of conserved sites with the Gblocks program. Requires the `nexus` or `mase` output formats: the output file contains a new site selection called 'Gblocks'. A second command line with `-convert -sites Gblocks` allows to extract the set of conserved sites identified by Gblocks. Further options can be used to modify the Gblocks run:
`-b4` allow smaller final blocks
`-b5` allow gaps within final blocks
`-b2` less strict flanking positions
`-b3` don't allow many contiguous nonconserved positions

`-sites` selection_name | use the named selection of sites from the input alignment
`-species` group_name | use the named group of species from the input alignment
`-bootstrap` n | writes n bootstrap replicates of the input sequence alignment to the output file. Can be combined with the species and sites selection options, `-translate` (`-no_terminal_stop` is implied), and `-del_gap_only_sites`. The `-output_format` option is not necessary because the output file is always in `phylip` format.
Sub-options for `-concatenate`
Use '-' as last argument to read alignment from standard input
`-concatenate` align1,... | name(s) of alignment files to add at the end of the input alignment
`-by_rank` | identify sequences by their rank in alignments, i.e., the 1st seq. of align1 will be added at the end of the 1st seq of the input file, the 2nd with the 2nd, and so on. Without this option, sequences with the same name in alignment files are concatenated.
`-record_partition` | record as 'site sets' the locations of the concatenated pieces in the final concatenate
`-output_format` fmt | format of the concatenated alignment file (`mase, phylip, clustal, msf, fasta`, or `nexus`). Default is the format of the input alignment.
`-o` fname | use fname as name of the concatenated alignment (default is built from input filename)
`-o` - | write the concatenated alignment to standard output
Sub-options for `-align`
Use '-' as last argument to read sequence file from standard input
`-align_algo` n | rank (in seaview, from 0) of alignment algorithm. 0 is clustalo, 1 is muscle. Other algorithms can be used after having been added as external alignment method in seaview. Without this option, seaview's default alignment algorithm is used. This can be changed using seaview's GUI.
`-align_extra_args` "option1 ..." | additional options to use when running the alignment algorithm
`-align_at_protein_level` | input sequences are translated to protein; those protein sequences are aligned; and the resulting alignment is reproduced at the DNA level.
`-o` fname | use fname as name of the output alignment
`-o -` | write the output alignment to standard output
`-output_format` fmt | format of the output alignment (`mase, phylip, clustal, msf, fasta`, or `nexus`)
Sub-options for `-build_tree` (either `-distance` or `-parsimony` is required and `-o` or `-distance_matrix`)
Use '-' as last argument to read alignment from standard input
`-o` fname | use fname as name of the output tree
`-o -` | write the output tree to standard output
`-distance` dist_name | computes the tree with a distance method using the named distance (one among `observed, JC, K2P, logdet, Ka, Ks, Poisson` or `Kimura`)
`-usertree` tree_file_name | tree_file_name is the name of a user-given tree file (in Newick format). In association with `-distance`, branch lengths of the user tree are computed. In association with `-parsimony`, the length of the tree is computed (and its branch lengths too for DNA sequences).
`-distance_matrix` fname | don't compute the tree, but write to file fname the matrix of pairwise distances
`-NJ` | compute the distance tree by the Neighbor-Joining method (default is BioNJ)
`-parsimony` | compute the tree by the parsimony method
`-search more|less|one` | for parsimony on DNA only: controls, in decreasing order, how much rearrangement is done to find better trees (`more` is the default, corresponds to the S option of the dnapars program)
`-nogaps` | remove all gap-containing sites before computations
`-replicates` n | use n bootstrap replicates to compute tree branch support
`-jumbles` n | jumble input sequence order n times (parsimony only)
`-gaps_as_unknown` | encode gaps as unknown character state (parsimony only, by default they are encoded as an extra character state)
`-sites` selection_name | use the named selection of sites from the input alignment
`-species` group_name | use the named group of species from the input alignment
Sub-options for `-printout (-o` is required, available only in seaview versions able to create PDF files)
Use '-' as last argument to read alignment from standard input
`-o` fname | use fname as name of the output PDF/SVG file
`-o -` | send the printout to standard output
`-fontsize` n | font size used for the alignment printout (10 by default)
`-blocksize` n | divide sequences in blocks of size n (10 by default) separated by one space
`-svg` w | produce a file in SVG format of width w pixels (without this option, the output is in PDF format)
`-landscape` | write the alignment in landscape orientation (PDF output only)
`-letter` | write the alignment using Letter-sized pages (A4 by default, PDF output only)
Sub-options for `-reroot` (available only in seaview versions able to create PDF files)
Use '-' as last argument to read input tree from standard input
`-outnewick` filename | write the resulting tree to named file in Newick format
`-outgroup` name | use tree leaf labelled 'name' as tree outgroup
`-outgroup` "name1,name2,name3" | use node at center of the 3 named leaves as tree center and name3-containing clade as outgroup
`-ingroup` "name1,name2,name3" | use node at center of the 3 named leaves as tree center and name1-containing clade as ingroup
`-root_at_center` | reroot the tree at its center
`-unroot` | remove the root from the input tree, if any
`-trim trim_rule` | trim long leaf names using the given trim rule
`-patristic_distances` fname | write to named file patristic distances between leaves of input tree
`-remove_bootstrap` | remove branch support values present in input tree
Sub-options for `-plotonly` (available only in seaview versions able to create PDF files)
options `-outgroup, -ingroup, -outnewick` above can be used as well as the following ones:
Use '-' as last argument to read tree from standard input
`-o` fname | use fname as name of the output plot (.pdf or .svg)
`-o -` | write the output plot to standard output (svg only)
`-svg` | draw the input tree in a .svg file (default is .pdf file)
`-unrooted` | draw the input tree in unrooted (circular) form
`-pagecount` n | number of pages used for the tree plot (pdf only)
`-letter` | use letter-sized paper for the tree plot
`-landscape` | draw in landscape orientation
`-fontsize` n | font size used in the tree plot
`-lengths` | display branch lengths in the tree plot
`-bootstrap` | display branch support values in the tree plot
`-bootstrap_threshold` x | display branch supports if they are ≥ x
`-size` WxH | pixel Width and Height of tree plot (svg only) (default is 595x842)
`-match` text | display in color (red by default) tree labels containing this text (case is not significant)
`-color` RRGGBB | hexadecimal color used for matching labels (example: 00FF00 means green)
`-branch_width_as_support` | draw plot with branches of increasing widths with increasing support
`-support_threshold_high` f | support above which a branch is drawn with maximal width (def=.95)
`-support_threshold_low` f | support below which a branch is drawn with minimal width (def=.8)
`-trim trim_rule` | trim long leaf names using the given trim rule

Use item "Customize" of menu Props to further customize the program.

Sequence Coloring
The item "Customize" of menu Props allows to control colors.

SETTING DNA/RNA SEQUENCE COLORING
A,C,G,T/U buttons show the colors that are in use for the corresponding nucleotide.
Click on a button to open a color chooser and select the desired color (OK will accept the new choice; reset will use the starting shade).
"reset" will use default colors.
"Apply" or "Set changes permanent" will apply new shades to current alignment.

SETTING PROTEIN SEQUENCE COLORING
aa coloring scheme: by default, amino acids are split in 8 families each displayed in a different color. These families can be customized, up to a maximum of 10. Also, an alternative coloring scheme can be defined, and seaview will allow to switch between the first and the alternative coloring schemes.

catalog of amino acid colors: colors used for each amino acid family. Click on any to control the desired shade, as explained above. White is used for gaps and for unlisted residues.

Example: with the default coloring scheme, groups of amino acids KR and AFILMVW are displayed with the first and second catalog colors starting from left, respectively.

Click "reset" to use default amino acid families and color catalog. "Apply" or "Set changes permanent" to apply new shades to current alignment.

SETTING SYNONYMOUS CODON COLORING
Click on "Change" button. A window with a series of color cells appear. The 21 sets of synonymous codons and of stop codons can be colored with any of these colors. Click on a color cell and type a one-letter amino acid (or * to refer to stop codons) to reaffect a codon set to a new color. Repeat these operations as many times as necessary. Click on "OK" button when color re-assignments are complete.
Back to "Customization" window, "Apply" applies color re-assignments to this session's windows, "Set changes permanent" applies them to future seaview sessions as well.

Miscellaneous options
The item "Customize" of menu Props allows to set these options:

- [sites] background grey: move the slider to change the grey shade of the alignment panel background; the "sites" shade applies to selected sites only; "reset" gives default values to both shades.
- right-left movement keys: define 4 keys that move cursor right and left by 5 or 50 residues; reset uses default keys.
- display lowercase: select so that lowercase characters present in sequence data are not displayed as uppercase.
- inverted: select to display sequences as black letters on colored background.
- spaces in FASTA names: If on, all characters after the '>' will be interpreted as sequence name in FASTA files. If off, the name ends at the first encountered space and the rest of the line (if any, e.g., length information) is interpreted as sequence annotation data.
- alignment algorithm: to set the default alignment algorithm used by menu Align.
- default save format: sets the default format of the "File:save as" menu item.
- pdf/ps page: sets the page format used by all PDF- or PostScript-producing operations.
- pdf/ps fontsize sets the font size used by item "Prepare pdf/ps" of menu File.
- max name width: the maximum width at which sequence names are displayed; names longer than that are accepted but aren't entirely displayed.
- phylip names width: sequence names longer than this value are truncated when saving PHYLIP-formatted alignments. Value 10 should be used to interface with the PHYLIP package. Larger values are more convenient for, e.g., PhyML, PAML.
- sequence font size: the default fontsize used to display sequence alignments.

Customization

- Mac OS: Custom settings are stored in file `fr.cnrs.seaview.plist` of the user's `Library/Preferences` folder.
- MSWindows: Custom settings are stored in file `seaview.ini` in the same folder as the seaview program itself.
- Unix/Linux: Custom settings are stored in file `.seaviewrc` in the user's home directory.

Note for users of Mac OS 10.9 and above: deleting the file `$HOME/Library/Preferences/fr.cnrs.seaview.plist` is no longer enough to reset seaview's preferences. You can enter this in a terminal:
`defaults delete fr.cnrs.seaview`
You may also force using a given fr.cnrs.seaview.plist file with this command:
`defaults read fr.cnrs.seaview`

Troubleshooting Importation from Databases
If you experience problems importing sequences from databases with the "Import from DBs" item of the File menu, open a terminal (or command prompt) window, and type in it:

    telnet pbil.univ-lyon1.fr 5558

If you see this :

    OK acnuc socket started

then sequence importation will work.
If the terminal remains blocked for some time and the above OK message does not appear, your communication to the database server is most probably blocked by your firewall. Please, contact your local network administrators, and ask them to allow outbound communications to the port number 5558.